=== modified file 'tests/test_commit.py'
--- tests/test_commit.py	2011-07-31 15:52:43 +0000
+++ tests/test_commit.py	2011-08-12 19:50:45 +0000
@@ -413,7 +413,8 @@
         dlg = commit.CommitDialog(tree)
         diff_buffer = dlg._diff_view.buffer
         text = diff_buffer.get_text(diff_buffer.get_start_iter(),
-                                    diff_buffer.get_end_iter()).splitlines(True)
+                                    diff_buffer.get_end_iter(),
+                                    True).splitlines(True)
 
         self.assertEqual("=== modified file 'a'\n", text[0])
         self.assertContainsRe(text[1],
@@ -467,7 +468,8 @@
         dlg._treeview_files.set_cursor((1,))
         self.assertEqual('Diff for a', dlg._diff_label.get_text())
         text = diff_buffer.get_text(diff_buffer.get_start_iter(),
-                                    diff_buffer.get_end_iter()).splitlines(True)
+                                    diff_buffer.get_end_iter(),
+                                    True).splitlines(True)
         self.assertEqual("=== added file 'a'\n", text[0])
         self.assertContainsRe(text[1],
             r"--- a\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
@@ -484,7 +486,8 @@
         dlg._treeview_files.set_cursor((2,))
         self.assertEqual('Diff for b', dlg._diff_label.get_text())
         text = diff_buffer.get_text(diff_buffer.get_start_iter(),
-                                    diff_buffer.get_end_iter()).splitlines(True)
+                                    diff_buffer.get_end_iter(),
+                                    True).splitlines(True)
         self.assertEqual("=== added file 'b'\n", text[0])
         self.assertContainsRe(text[1],
             r"--- b\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
@@ -514,7 +517,8 @@
 
         def get_file_text():
             buf = dlg._file_message_text_view.get_buffer()
-            return buf.get_text(buf.get_start_iter(), buf.get_end_iter())
+            return buf.get_text(
+                buf.get_start_iter(), buf.get_end_iter(), True)
 
         def get_saved_text(path):
             """Get the saved text for a given record."""

=== modified file 'tests/test_diff.py'
--- tests/test_diff.py	2011-02-18 13:01:03 +0000
+++ tests/test_diff.py	2011-08-12 19:50:45 +0000
@@ -84,7 +84,7 @@
         view.show_diff(None)
         buf = view.buffer
         start, end = buf.get_bounds()
-        text = buf.get_text(start, end)
+        text = buf.get_text(start, end, True)
         self.assertContainsRe(text,
             "=== added file '\xce\xa9'\n"
             '--- .*\t1970-01-01 00:00:00 \\+0000\n'

=== modified file 'tests/test_revisionview.py'
--- tests/test_revisionview.py	2011-07-28 15:34:17 +0000
+++ tests/test_revisionview.py	2011-08-12 19:50:45 +0000
@@ -32,7 +32,8 @@
     def assertBufferText(self, text, buffer):
         """Check the text stored in the buffer."""
         self.assertEqual(text, buffer.get_text(buffer.get_start_iter(),
-                                               buffer.get_end_iter()))
+                                               buffer.get_end_iter(),
+                                               True))
 
     def test_create_view(self):
         builder = self.make_branch_builder('test')

=== modified file 'window.py'
--- window.py	2011-07-31 17:38:30 +0000
+++ window.py	2011-08-12 19:50:45 +0000
@@ -13,7 +13,7 @@
 
     def _on_key_press(self, widget, event):
         keyname = Gdk.keyval_name(event.keyval)
-        if event.get_state() & Gdk.EventMask.CONTROL_MASK:
+        if event.get_state() & Gdk.ModifierType.CONTROL_MASK:
             if keyname is "w":
                 self.destroy()
                 if self._parent is None:

